Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

Cancel Scale Operation

Request cancellation. Controller checks between steps and stops if cancelled.

Only works before step 4 (point of no return - pods already deleted).

POST/cluster/scale/{operation_id}/cancel
Authorization
AuthorizationBearer token · headerrequired
Path parameters
operation_idstringrequired
Responses
200

Successful Response

operation_idstringrequired
statusScaleOperationStatusrequired
Allowed:pendingin_progresscompletedfailedcancelled
messagestring | any
Show properties
Any of:
string
string
any
any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST "https://api.streamkap.com/cluster/scale/string/cancel" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "operation_id": "string",
  "status": "pending",
  "message": "string"
}